Skip to main content
PUT
/
v2
/
time-clock
/
work-schedule
/
{userId}
Update work schedule of a user
curl --request PUT \
  --url https://app.tarefy.com/nodeapi/v2/time-clock/work-schedule/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "daily_hours": 123,
  "geofence_exempt": true,
  "presential_weekdays_override": [
    1,
    3,
    5
  ]
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/time-clock/work-schedule/{userId}"

payload = {
"daily_hours": 123,
"geofence_exempt": True,
"presential_weekdays_override": [1, 3, 5]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
daily_hours: 123,
geofence_exempt: true,
presential_weekdays_override: [1, 3, 5]
})
};

fetch('https://app.tarefy.com/nodeapi/v2/time-clock/work-schedule/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

Body

application/json
daily_hours
number | null
geofence_exempt
boolean

Quando verdadeiro, o colaborador pode bater ponto sem validação de localização.

presential_weekdays_override
integer[] | null

Dias presenciais ISO 1..7 para o colaborador. Null herda o padrão da empresa.

Required range: 1 <= x <= 7
Example:
[1, 3, 5]

Response

200 - application/json

Agenda atualizada com sucesso

The response is of type object.